Bug 10362 - on return with reserve or transfer the alerts are not shown
Summary: on return with reserve or transfer the alerts are not shown
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-28 13:42 UTC by Fridolin SOMERS
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.52 KB, patch)
2013-05-28 13:54 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 10362 - on return with reserve or transfer the alerts are not shown (1.56 KB, patch)
2013-05-31 06:29 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 10362 - on return with reserve or transfer the alerts are not shown (1.61 KB, patch)
2013-06-21 13:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-05-28 13:42:30 UTC
When a return is performed on an item with a reserve or a transfer, the possible alert messages are not shown.
These alerts are cases from errmsgloop like "NotIssued", "debarred" ...
Comment 1 Fridolin SOMERS 2013-05-28 13:54:49 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-05-31 06:29:57 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-06-21 13:21:25 UTC
Created attachment 19187 [details] [review]
Bug 10362 - on return with reserve or transfer the alerts are not shown

When a return is performed on an item with a reserve or a transfer, the possible alert messages are not shown.
These alerts are cases from errmsgloop like "NotIssued", "debarred" ...

This patch changes the template to show both messages and alerts.

Test plan :
- Perform an checkout that will a checkin :
  * need a transfert (return in a different branch)
  * set user debarred (depends on issuing rules)
- Perform check-in
=> You get tranfert message and debarment alert

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Galen Charlton 2013-08-12 15:20:44 UTC
Pushed to master.  Thanks, Fridolyn!
Comment 5 Tomás Cohen Arazi 2013-08-16 16:03:41 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Fridolyn!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-14 19:09:17 UTC
Pushed to 3.10.x, will be in 3.10.11
Comment 7 Chris Hall 2013-10-20 06:56:16 UTC
Pushed to 3.8.x, will be in 3.8.19